#!/bin/sh
normal="\e[39m"
lightred="\e[91m"
lightgreen="\e[92m"
green="\e[32m"
yellow="\e[33m"
cyan="\e[36m"
red="\e[31m"
magenta="\e[95m"

echo -ne $lightred
echo Load SD Init Script
echo -ne $cyan
echo User bash Code can be insered here and put init.sh on SD
echo -ne $lightgreen
echo --------------------------
echo "Check I2C0 Bus"
i2cdetect -y -r 0
echo "Configure and Readback SFP I2C GPIO Expander"
echo "Read SFP 0x20: "
i2cget -y 0 0x20 
echo "Read SFP 0x21: "
i2cget -y 0 0x21 
echo "Read SFP 0x22: "
i2cget -y 0 0x22 
echo "Read SFP 0x23: "
i2cget -y 0 0x23 
echo "Read SFP 0x24: "
i2cget -y 0 0x24 
echo "Read SFP 0x25: "
i2cget -y 0 0x25 
echo "Read SFP 0x26: "
i2cget -y 0 0x26 
echo "Read SFP 0x27: "
i2cget -y 0 0x27  
echo ---------
echo "Enable SFP 0x20: "
i2cget -y 0 0x20  0xfd
echo "Enable SFP 0x21: "
i2cget -y 0 0x21  0xfd
echo "Enable SFP 0x22: "
i2cget -y 0 0x22  0xfd
echo "Enable SFP 0x23: "
i2cget -y 0 0x23  0xfd
echo "Enable SFP 0x24: "
i2cget -y 0 0x24  0xfd
echo "Enable SFP 0x25: "
i2cget -y 0 0x25  0xfd
echo "Enable SFP 0x26: "
i2cget -y 0 0x26  0xfd
echo "Enable SFP 0x27: "
i2cget -y 0 0x27  0xfd
echo ---------
echo "Read SFP 0x20: "
i2cget -y 0 0x20 
echo "Read SFP 0x21: "
i2cget -y 0 0x21 
echo "Read SFP 0x22: "
i2cget -y 0 0x22 
echo "Read SFP 0x23: "
i2cget -y 0 0x23 
echo "Read SFP 0x24: "
i2cget -y 0 0x24 
echo "Read SFP 0x25: "
i2cget -y 0 0x25 
echo "Read SFP 0x26: "
i2cget -y 0 0x26 
echo "Read SFP 0x27: "
i2cget -y 0 0x27  
echo --------------------------
echo -ne $normal

